Go to the latest version of this document.

# ``twisted`.`trial`.`reporter`.`_AdaptedReporter``

class documentation

`class _AdaptedReporter(TestResultDecorator): (source)`

Constructor: `_AdaptedReporter(original, testAdapter)`

View In Hierarchy

TestResult decorator that makes sure that addError only gets tests that have been adapted with a particular test adapter.

Method | `__init__` | Construct an `_AdaptedReporter`.
Method | `addError` | See `itrial.IReporter`.
Method | `addExpectedFailure` | See `itrial.IReporter`.
Method | `addFailure` | See `itrial.IReporter`.
Method | `addSkip` | See `itrial.IReporter`.
Method | `addUnexpectedSuccess` | See `itrial.IReporter`.
Method | `startTest` | See `itrial.IReporter`.
Method | `stopTest` | See `itrial.IReporter`.
Instance Variable | `testAdapter` | Undocumented

Inherited from `TestResultDecorator`:

Instance Variable | `_originalReporter` | The wrapped instance of reporter.

def __init__(self, original, testAdapter): (source)

Construct an `_AdaptedReporter`.

Parameters
original | An {itrial.IReporter}.
testAdapter | A callable that returns an `itrial.ITestCase`.

def addError(self, test, error): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

def addExpectedFailure(self, test, failure, todo=None): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

Parameters
test:A `pyunit.TestCase`. | Undocumented
failure:A `failure.Failure` or `AssertionError` | Undocumented
todo: A `unittest.Todo` or None When `todo` is `None` a generic `unittest.Todo` is built. `pyunit.TestCase`'s `run()` calls this with 3 positional arguments (without `todo`). | Undocumented

def addFailure(self, test, failure): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

def addSkip(self, test, skip): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

def addUnexpectedSuccess(self, test, todo=None): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

Parameters
test:A `pyunit.TestCase`. | Undocumented
todo: A `unittest.Todo` or None When `todo` is `None` a generic `unittest.Todo` is built. `pyunit.TestCase`'s `run()` calls this with 2 positional arguments (without `todo`). | Undocumented

def startTest(self, test): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

def stopTest(self, test): (source)
from `twisted.trial.itrial.IReporter`

See `itrial.IReporter`.

testAdapter = (source)

Undocumented